summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDavid Parrish2018-12-31 11:13:12 -0500
committerDavid Parrish2018-12-31 11:13:12 -0500
commitf6cb7eb433962eccbeedee40310b1cd74ef41ac1 (patch)
treec5b450685f73045602cf5ea3ddd534cdc62f9686
parent20d040e2eee8d98a06ed68467d36c6e7a8f5bc27 (diff)
downloadaur-check_smartmon-git.tar.gz
Update dependencies, apply shellcheck suggestions and namcap suggestions
- Add smartmontools and git dependencies - Remove `msg` calls - add `exit 1` for failed `cd` calls
-rw-r--r--.SRCINFO10
-rw-r--r--PKGBUILD13
2 files changed, 11 insertions, 12 deletions
diff --git a/.SRCINFO b/.SRCINFO
index e1bc195e944..758961a96ae 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,15 +1,13 @@
-# Generated by mksrcinfo v8
-# Sat Sep 24 18:56:22 UTC 2016
pkgbase = check_smartmon-git
pkgdesc = Nagios-Plugin that uses smartmontools (http://smartmontools.sourceforge.net/) to check disk health status and temperature.
- pkgver = r27.71d33af
+ pkgver = r31.07b14b8
pkgrel = 1
url = https://github.com/nihlaeth/Nagios_check_smartmon
- arch = i686
- arch = x86_64
+ arch = any
license = GPL2
- depends = python2
+ makedepends = git
depends = python2-psutil
+ depends = smartmontools
source = check_smartmon-git::git+https://github.com/nihlaeth/Nagios_check_smartmon.git
sha256sums = SKIP
diff --git a/PKGBUILD b/PKGBUILD
index 907c2ad4ffd..5eae52ae029 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,24 +1,25 @@
# Maintainer: David Parrish <daveparrish@tutanota.com>
pkgname=check_smartmon-git
-pkgver=r27.71d33af
+pkgver=r31.07b14b8
pkgrel=1
pkgdesc="Nagios-Plugin that uses smartmontools (http://smartmontools.sourceforge.net/) to check disk health status and temperature."
-arch=('i686' 'x86_64')
+arch=('any')
url="https://github.com/nihlaeth/Nagios_check_smartmon"
license=('GPL2')
-depends=('python2' 'python2-psutil')
+depends=('python2-psutil' 'smartmontools')
+makedepends=('git')
source=("${pkgname}::git+https://github.com/nihlaeth/Nagios_check_smartmon.git")
sha256sums=("SKIP")
pkgver() {
- cd "$pkgname"
+ cd "$pkgname" || exit 1
printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}
prepare() {
- cd "$pkgname"
- msg 'Fixing Python version...'
+ cd "$pkgname" || exit 1
+ # Fixing Python version
find . -type f -print0 | xargs -0 sed -i 's#/usr/bin/python$#/usr/bin/python2#g'
}